Package Base Details: linux-drm-intel-nightly

Git Clone URL: https://aur.archlinux.org/linux-drm-intel-nightly.git (read-only)
Submitter: bwidawsk
Maintainer: bwidawsk
Last Packager: bwidawsk
Votes: 2
Popularity: 0.912187
First Submitted: 2015-02-22 21:03
Last Updated: 2016-08-26 01:25

Latest Comments

V155 commented on 2016-08-26 20:09

Works now,

thanks for the fast fix!

sry for flagging out of date

V155 commented on 2016-08-25 12:43

Still fails when trying to install with:

error: failed to commit transaction (conflicting files)
/usr/lib/modules/4.7.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.recursion-issue-01 exists in both 'linux-drm-intel-nightly-docs' and 'linux-drm-intel-nightly-headers'
/usr/lib/modules/4.7.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.recursion-issue-02 exists in both 'linux-drm-intel-nightly-docs' and 'linux-drm-intel-nightly-headers'
/usr/lib/modules/4.7.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.select-break exists in both 'linux-drm-intel-nightly-docs' and 'linux-drm-intel-nightly-headers'


Fixed PKGBUILD that just deletes the 3 files for one package can be found here:
https://paste.xinu.at/ai1/

and patch here:
https://paste.xinu.at/VBBhcV/

Kind Regards
Fritz

twelveeighty commented on 2016-08-17 01:27

The kernel config files that are part of the package seem outdated compared to the core config files, they look like they were generated from 4.4.x. However, I'm new to running alternate kernels, so let me know if I should keep these configs vs. trying to update them with the more recent versions around for 4.7.x?

nishantvarma commented on 2016-03-08 17:49

Hello, Trying this again but I get this error even though Kernel loaded just fine. Any ideas if there any module that isn't working?

.....
<command-line>:0:0: note: this is the location of the previous definition
/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.c: In function ‘store_boost’:
/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.c:176:26: error: ‘struct cpufreq_driver’ has no member named ‘boost_supported’
if (!acpi_cpufreq_driver.boost_supported)
^
/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.c: In function ‘acpi_cpufreq_boost_init’:
/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.c:915:22: error: ‘struct cpufreq_driver’ has no member named ‘boost_supported’
acpi_cpufreq_driver.boost_supported = true;
^
scripts/Makefile.build:264: recipe for target '/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.o' failed
make[2]: *** [/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build/phc-intel.o] Error 1
Makefile:1391: recipe for target '_module_/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build' failed
make[1]: *** [_module_/var/lib/dkms/dkms-phc-intel/0.3.2.12.19/build] Error 2
make[1]: Leaving directory '/usr/lib/modules/4.5.0-1-drm-intel-nightly/build'
Makefile:141: recipe for target 'phc-intel.ko' failed
make: *** [phc-intel.ko] Error 2
.....

Let me know if you want full traceback.

nishantvarma commented on 2015-12-27 08:18

https://aur.archlinux.org/packages/linux-git/ also gets the same error and the hack proposed in the comment section works fine. It has been merged into PKGBUILD.

nishantvarma commented on 2015-12-25 06:58

Getting the below error:

error: failed to commit transaction (conflicting files)
/usr/lib/modules/4.4.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.recursion-issue-01 exists in both 'linux-drm-intel-nightly-headers' and 'linux-drm-intel-nightly-docs'
/usr/lib/modules/4.4.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.recursion-issue-02 exists in both 'linux-drm-intel-nightly-headers' and 'linux-drm-intel-nightly-docs'
/usr/lib/modules/4.4.0-1-drm-intel-nightly/build/Documentation/kbuild/Kconfig.select-break exists in both 'linux-drm-intel-nightly-headers' and 'linux-drm-intel-nightly-docs'
Errors occurred, no packages were upgraded.
==> WARNING: Failed to install built package(s)